Skip to content
Install

Rolling-restart all pods of a deployment

POST
/deployments/{id}/restart
curl --request POST \
--url https://example.com/deployments/example/restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "additionalProperty": "example" }'

Auth: authenticated (scope: deploy)

id
required
string
Media typeapplication/json
object
key
additional properties

Example generated

{
"additionalProperty": "example"
}

OK

Media typeapplication/json
object
deployment
required
string
namespace
required
string
restartedAt
required
string
success
required
boolean
key
additional properties

Example generated

{
"deployment": "example",
"namespace": "example",
"restartedAt": "example",
"success": true
}